classification
Title: document CO_* constants
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, matrixise, python-dev, r.david.murray, yselivanov
Priority: normal Keywords: needs review, patch

Created on 2016-01-04 21:43 by yselivanov, last changed 2016-10-20 20:31 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
Issue26010.patch yselivanov, 2016-01-04 21:47 review
issue26010-2.diff matrixise, 2016-10-20 16:57 review
Messages (8)
msg257497 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-01-04 21:47
Hi David,

This is a follow up to issue #26010.  Please review the attached patch.  I've skipped the CO_NESTED flag since it's no longer used, and CO_OPTIMIZED because I don't know too much about it.
msg257528 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-01-05 12:54
> This is a follow up to issue #26010.

The correct issue # is 25813
msg278897 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2016-10-18 16:05
I have reviewed your patch, but could you add the doc for CO_ASYNC_GENERATOR ? Thank you
msg279050 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2016-10-20 16:57
Hello Yury,

I have updated your patch, with a small description for CO_ASYNC_GENERATOR. I need a review for the description.

Stephane
msg279052 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-20 17:12
New changeset 681924a9eefd by Yury Selivanov in branch '3.5':
Issue #26010: Document CO_* constants
https://hg.python.org/cpython/rev/681924a9eefd

New changeset 5023c182a8a4 by Yury Selivanov in branch '3.6':
Merge 3.5 + document CO_ASYNC_GENERATOR; issue #26010
https://hg.python.org/cpython/rev/5023c182a8a4

New changeset 3c4833d2fdbe by Yury Selivanov in branch 'default':
Merge 3.6 (issue #26010)
https://hg.python.org/cpython/rev/3c4833d2fdbe
msg279053 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-10-20 17:13
Thank you Stephane for bumping this issue up.

I've committed the patch.  I've documented CO_ASYNC_GENERATOR in more detail, and I also added "versionadded" tags to CO_COROUTINE and CO_ITERABLE_COROUTINE.
msg279054 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2016-10-20 17:14
Nice Yury, sorry for the missing versionadded directive.

And now, I have a description for CO_ASYNC_GENERATOR ;-)
msg279081 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-20 20:31
New changeset 761414979de5 by Yury Selivanov in branch '3.6':
Issue #26010: fix typos; rewording
https://hg.python.org/cpython/rev/761414979de5

New changeset 3821599fc74d by Yury Selivanov in branch 'default':
Merge 3.6 (issue #26010)
https://hg.python.org/cpython/rev/3821599fc74d
History
Date User Action Args
2016-10-20 20:31:37python-devsetmessages: + msg279081
2016-10-20 17:14:28matrixisesetstatus: open -> closed
2016-10-20 17:14:15matrixisesetmessages: + msg279054
2016-10-20 17:13:03yselivanovsetresolution: fixed
messages: + msg279053
2016-10-20 17:12:07python-devsetnosy: + python-dev
messages: + msg279052
2016-10-20 16:58:10matrixisesetstage: needs patch -> patch review
2016-10-20 16:57:28matrixisesetfiles: + issue26010-2.diff

messages: + msg279050
2016-10-18 16:17:08matrixisesetstage: patch review -> needs patch
2016-10-18 16:05:06matrixisesetnosy: + matrixise
messages: + msg278897
2016-01-05 12:54:21yselivanovsetmessages: + msg257528
2016-01-04 21:47:03yselivanovsetfiles: + Issue26010.patch
keywords: + patch
messages: + msg257497
2016-01-04 21:45:11yselivanovlinkissue25813 superseder
2016-01-04 21:43:19yselivanovcreate